> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesbricks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all subscription orders

> Returns all closed orders for a subscription, including order dates, type, contract value, and PDF download links. Orders are returned in chronological order by start date (ascending by default). Supports pagination with limit/offset and ordering by `starts_at`, `ends_at`, or `created_at`.



## OpenAPI

````yaml https://api.salesbricks.com/api/v2/openapi.yaml get /subscriptions/{subscription_id}/orders
openapi: 3.0.3
info:
  title: Salesbricks REST API
  version: 2.0.0
  description: API reference for external integrations
servers:
  - url: https://api.salesbricks.com/api/v2
    description: Production
  - url: https://api.staging.salesbricks.com/api/v2
    description: Staging
security:
  - ApiKeyAuth: []
tags:
  - name: Subscriptions
    description: >-
      Operations related to subscription management, including creation,
      updates, and retrieving subscription details. Subscriptions can be
      upgraded to add / remove add-ons by using the POST
      /subscriptions/{subscription_id}/upgrade endpoint and can be recasted for
      replacing the current agreement using the POST
      /subscriptions/{subscription_id}/recast endpoint
  - name: Customers
    description: >-
      Operations related to customer management, including creation, updates,
      and managing customer person objects.
  - name: Invoices
    description: Operations related to subscription's invoicing details.
  - name: Plans
    description: >-
      Operations related to listing and getting plan details including bricks in
      the plan.
  - name: Payment Methods
    description: Operations related to subscription's payment method.
paths:
  /subscriptions/{subscription_id}/orders:
    get:
      tags:
        - Subscription History
      summary: List all subscription orders
      description: >-
        Returns all closed orders for a subscription, including order dates,
        type, contract value, and PDF download links. Orders are returned in
        chronological order by start date (ascending by default). Supports
        pagination with limit/offset and ordering by `starts_at`, `ends_at`, or
        `created_at`.
      operationId: listSubscriptionOrders
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - in: path
          name: subscription_id
          schema:
            type: string
            pattern: ^([a-zA-Z\d\-]+)$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSubscriptionOrderList'
          description: ''
components:
  schemas:
    PaginatedSubscriptionOrderList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionOrder'
    SubscriptionOrder:
      type: object
      description: Serializer for individual subscription order
      properties:
        order_id:
          type: string
          format: uuid
          description: Unique identifier for the order
        starts_at:
          type: string
          format: date
        ends_at:
          type: string
          format: date
        order_type:
          enum:
            - TRIAL
            - STANDARD
            - RENEWAL
            - UPGRADE
            - RECAST
          type: string
          description: |-
            * `TRIAL` - Trial
            * `STANDARD` - New Business
            * `RENEWAL` - Renewal
            * `UPGRADE` - Upgrade
            * `RECAST` - Recast
          x-spec-enum-id: f190c93bb8b6757b
        contract_value:
          type: string
          readOnly: true
          description: Total contract value with currency
        pdf_url:
          type: string
          readOnly: true
          description: URL to download signed order form PDF
      required:
        - contract_value
        - order_id
        - pdf_url
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-SALESBRICKS-KEY
      description: API key for authentication

````

## Related topics

- [Custom email domain](/documentation/custom-email-domain.md)
- [Attio](/integrations/attio.md)
- [HubSpot](/integrations/hubspot.md)
